Name:       capi-media-streamrecorder
Summary:    A Streamrecorder library in Tizen Native API
Version:    0.0.22
Release:    0
Group:      Multimedia/Other
License:    Apache-2.0
Source0:    %{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  pkgconfig(dlog)
Buildrequires:  pkgconfig(mm-streamrecorder)
BuildRequires:  pkgconfig(capi-base-common)
BuildRequires:  pkgconfig(capi-media-tool)
BuildRequires:  pkgconfig(libtbm)
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
A StreamRecorder library in Tizen Native API to record live buffer sent by the application


%package devel
Summary:  A StreamRecorder library in Tizen Native API (Development)
Requires: %{name} = %{version}-%{release}


%description devel
A MediaStreamRecorder library in Tizen Native API Development Package to record live buffer


%prep
%setup -q


%build
%if 0%{?gcov:1}
export CFLAGS+=" -fprofile-arcs -ftest-coverage"
export CXXFLAGS+=" -fprofile-arcs -ftest-coverage"
export FFLAGS+=" -fprofile-arcs -ftest-coverage"
export LDFLAGS+=" -lgcov"
%endif

MAJORVER=`echo %{version} | awk 'BEGIN {FS="."}{print $1}'`
%cmake . -DCMAKE_INSTALL_PREFIX=%{_prefix} -DFULLVER=%{version} -DMAJORVER=${MAJORVER}


make %{?jobs:-j%jobs}


%install
rm -rf %{buildroot}
%make_install


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig

%files
%manifest capi-media-streamrecorder.manifest
%license LICENSE.APLv2
%{_libdir}/libcapi-media-streamrecorder.so.*
%{_bindir}/*

%files devel
%{_includedir}/media/streamrecorder.h
%{_libdir}/pkgconfig/*.pc
%{_libdir}/libcapi-media-streamrecorder.so

